#version 330

//---------------------------------------------------------------------------
uniform sampler2D gSampler;
uniform float gSampleScale;
uniform float gSampleBias;
//---------------------------------------------------------------------------
noperspective in vec2 TexCoords;
//---------------------------------------------------------------------------
out vec4 outColor;
//---------------------------------------------------------------------------
void main() 
{ 
	outColor = max(vec4(0.0), texture(gSampler, TexCoords) + vec4(gSampleBias, gSampleBias, gSampleBias, 0)) * vec4(gSampleScale, gSampleScale, gSampleScale, 1);
}
