#version 330

uniform sampler2D gSampler;

in vec2 s_TexCoord;
in vec4 s_Color;

layout (location = 0) out vec4 outColor;
layout (location = 1) out vec4 outBrightColor;
layout (location = 2) out vec4 outDepth;

void main()
{
	outColor = texture(gSampler, s_TexCoord) * s_Color;
	outBrightColor = vec4(0,0,0,1);

	outDepth = vec4(0, (outColor.a > 0.5) ? 1 : 0, 0, 1);
}
