#version 330 core

layout (location = 0) in vec3 position;
//---------------------------------------------------------------------------
uniform mat4 projection;
uniform mat4 view;
uniform vec3 gSunDir;
//---------------------------------------------------------------------------
out vec3 s_SunPos;
out vec3 s_Pos;
//---------------------------------------------------------------------------
void main()
{
    gl_Position = projection * view * vec4(position, 1.0);  
	s_SunPos = normalize(-gSunDir);
	s_Pos = position.xyz; 
}  