#version 330

layout(location = 0) in vec3 Position;
layout(location = 1) in vec2 TexCoord;
layout(location = 2) in vec3 Normal;

uniform mat4 gMVP;

out vec2 s_TexCoord;

void main()
{
	gl_Position = gMVP * vec4(Position, 1.0);
	s_TexCoord = TexCoord;
}
