#version 330

layout(location = 0) in vec3 l_Position;
layout (location = 2) in float l_LifeTime;

uniform mat4 gViewMatrix;

out float s_LifeTime;

void main()
{
    gl_Position = gViewMatrix * vec4(l_Position, 1.0);
	s_LifeTime = l_LifeTime;
}
