#version 330

layout (location = 0) in vec3 Position;
layout (location = 1) in vec2 TexCoord;
layout (location = 2) in vec3 Normal;

uniform mat4 gMVP;
uniform mat4 gModel;

out vec3 ModelPos;

void main()
{
    vec4 Pos4 = vec4(Position, 1.0);
    gl_Position = gMVP * Pos4;
    ModelPos = (gModel * Pos4).xyz;
}
