#version 330 core

in vec3 TexCoords;

layout (location = 0) out vec4 outColor;
layout (location = 1) out vec4 outBrightColor;

uniform samplerCube skybox;

void main()
{    
    outColor = texture(skybox, TexCoords);
	outBrightColor = vec4(0, 0, 0, 1);
}
